function conservation(infile, outfile)

strong30 = load(infile);
percentage = 100 * sum(strong30(1:20,1)) / sum(strong30(1:20,2));
pv = 1-hygecdf(sum(strong30(1:20,1)), 790851, 321289, sum(strong30(1:20,2)));
fp = fopen(outfile, 'w');
fprintf(fp, '%.2f%% conserved motif instances (p-value = %.1e)\n', percentage, pv);
fclose(fp);