import sys, re

GREP = re.compile(r'Yeast-(\d+)\.result:Accuracy of fold -1: (\d+\.\d+)$')
featRanks = []
for line in sys.stdin:
    m = GREP.search(line)
    assert m
    acc = float(m.group(2)) / 100.
    feat = int(m.group(1)) - 30
    featRanks.append((acc, feat))
featRanks.sort()
for acc, feat in featRanks:
    print('%d\t%f' % (feat, acc))
