#!/usr/bin/env python

import glob, re

faList = glob.glob('Yeast*.txt')

for i in range(len(faList)):
    faFile = faList[i]; otherFiles = faList[:i] + faList[(i+1):]
    fPos = open(faFile)
    posId = []
    for line in fPos:
        if line.startswith('>'): posId.append(line[1:-1])
    fPos.close()
    
    negFile = 'Yeast-' + faFile[5:-4] + '.fna'
    fNeg = open(negFile, 'w')
    negId = []
    for otherFile in otherFiles:
        f = open(otherFile)
        isWriting = False
        for line in f:
            if line.startswith('>'):
                id = line[1:-1]
                if (not id in posId) and (not id in negId):
                    isWriting = True; negId.append(id)
                else: isWriting = False
            if isWriting: fNeg.write(line)
        f.close()
    fNeg.close()
