from seq2cv import HALLETT05LABELS
from feat2acc_fold import COMPS
from memecv import fastaReadAll

comps = COMPS
labelAbbr = HALLETT05LABELS
compIds = []
for comp in comps:
    seqFilename = '/home/tienhol/subloc/result/hallett2005/%s.fa' % comp
    idSeqs = fastaReadAll(seqFilename)
    compIds.append([idSeq[0].split()[0] for idSeq in idSeqs])

inFp = open('pslt.pred.txt')
id2abbr = {}
for line in inFp:
    (id, label) = line.split('\t')[:2]
    if not label in labelAbbr: print label, labelAbbr
    abbr = 'Yeast' + labelAbbr[label]
    if not abbr in comps: print abbr, comps
    assert id not in id2abbr
    id2abbr[id] = abbr
for comp, ids in zip(comps, compIds):
    outFp = open('pslt.pred.%s' % comp, 'w')
    for id in ids: outFp.write('%s\t%s\n' % (id, id2abbr[id]))
    outFp.close()
inFp.close()
