import sys
from memecv import fastaNSeq, readFeatures, writeFeatures
from feat2acc_tree import nodeList, dfsCompList
from featflat2rank import reduceFeat

(featStr, trainFeatFile, trainFeatFile0, seqPattern) = sys.argv[1:]
feat = int(featStr)
trSeqFiles = [seqPattern % comp for comp in dfsCompList] #leaf only
trainNSeq = [fastaNSeq(seqFilename) for seqFilename in trSeqFiles]
trainFeat = readFeatures(trainNSeq, trainFeatFile0)
assert len(trainFeat[0][0]) == len(nodeList) * 10
assert feat >= 30
reducedFeat = reduceFeat(trainFeat, feat)
#must use memecv.writeFeatures for later call to feat2acc_treetr
#instead of feat2acc_fold.writeFeatures
writeFeatures(reducedFeat, -1, trainFeatFile)
