#Dispatch 1520 proteins in the dataset into 20 groups
#for 20 jobs of sgd_download.py.
#Run with sgd_download_job.py as:
#python sgd_download_job.py ../hallett2005/Hallett.out 19 | python sgd_download.py

import sys
from seq2cv import HALLETT05LABELS, loadLabeledFile

labeledFileName = sys.argv[1]
iJob = int(sys.argv[2])

(id2seqAbbr, skippedLabels, nSeq) = loadLabeledFile(labeledFileName, \
                                                    HALLETT05LABELS)
ids = id2seqAbbr.keys()
assert len(skippedLabels) == 0
assert nSeq == len(ids)
for id in ids[nSeq * iJob / 20 : nSeq * (iJob + 1) / 20]: print id
