#!/usr/bin/python
import sys
import os
PHMM_LENS = [6, 12, 18, 24] #range(4,24,2)
USAGE = '''Usage: sublearn.py <opts> <labels1> <labels2> <labels3> ...
Ex. python sublearn.py "-b 10 -i 3 -I 200 -s 46637" S T'''

if len(sys.argv) <= 1:
    print USAGE
    sys.exit(1)
opts = sys.argv[1]
labels = sys.argv[2:]
labelStr = ''
resultPrefix = ''
for label in labels:
    labelStr = labelStr + label + ' '
    resultPrefix = resultPrefix + label + '_'
resultPrefix = resultPrefix[:-1] #delete the last underline
resultPath = '../result/' + resultPrefix
if not os.path.exists(resultPath): os.mkdir(resultPath)
for setLength in PHMM_LENS:
    cmd = '../hmmer-1.8.5/sublearn -o %s -l %d %s ../data/yeast_seq.fa %s' \
          % (resultPath, setLength, opts, labelStr)
    print cmd
    os.system('perl /export/home/install/bin/r2/qarray.pl "%s"' % cmd)
