#!/bin/bash
cd hmmd_tree/
for fold in `seq 0 9`; do
    for imotif in `seq 0 9`; do
        mv YeastSecPw1000tr${fold}4_1_0${imotif}.hmm YeastSecPw1000tr${fold}4_0${imotif}.hmm
        mv YeastIntra1000tr${fold}4_1_0${imotif}.hmm YeastIntra1000tr${fold}4_0${imotif}.hmm
        mv YeastOrga1000tr${fold}4_1_0${imotif}.hmm YeastOrga1000tr${fold}4_0${imotif}.hmm
        mv YeastER1000tr${fold}4_4_0${imotif}.hmm YeastER1000tr${fold}4_0${imotif}.hmm
        mv YeastGolgi1000tr${fold}4_4_0${imotif}.hmm YeastGolgi1000tr${fold}4_0${imotif}.hmm
        mv YeastLyso1000tr${fold}4_4_0${imotif}.hmm YeastLyso1000tr${fold}4_0${imotif}.hmm
        mv YeastPM1000tr${fold}4_4_0${imotif}.hmm YeastPM1000tr${fold}4_0${imotif}.hmm
        mv YeastSecreted1000tr${fold}4_4_0${imotif}.hmm YeastSecreted1000tr${fold}4_0${imotif}.hmm
        mv YeastCyto1000tr${fold}4_2_0${imotif}.hmm YeastCyto1000tr${fold}4_0${imotif}.hmm
        mv YeastPero1000tr${fold}4_2_0${imotif}.hmm YeastPero1000tr${fold}4_0${imotif}.hmm
        mv YeastMito1000tr${fold}4_2_0${imotif}.hmm YeastMito1000tr${fold}4_0${imotif}.hmm
        mv YeastNuclear1000tr${fold}4_1_0${imotif}.hmm YeastNuclear1000tr${fold}4_0${imotif}.hmm
    done
done
cd ..

