#!/bin/bash
QARRAY="your-job-submission-command"

cd genhmm/10cv/
mkdir hmmg
mkdir motif
for fold in `seq 0 9`; do
  #submit to a cluster to speed up
  $QARRAY "./n10b100i100.sh $fold Cyto"
  $QARRAY "./n10b100i100.sh $fold ER"
  $QARRAY "./n10b100i100.sh $fold Golgi"
  $QARRAY "./n10b100i100.sh $fold Intra"
  $QARRAY "./n10b100i100.sh $fold Lyso"
  $QARRAY "./n10b100i100.sh $fold Mito"
  $QARRAY "./n10b100i100.sh $fold Nuclear"
  $QARRAY "./n10b100i100.sh $fold Orga"
  $QARRAY "./n10b100i100.sh $fold Pero"
  $QARRAY "./n10b100i100.sh $fold PM"
  $QARRAY "./n10b100i100.sh $fold SecPw"
  $QARRAY "./n10b100i100.sh $fold Secreted"
done
cd ../all-train/
mkdir hmmg
mkdir motif
#submit to a cluster to speed up
$QARRAY "./n10b100i100.sh Cyto"
$QARRAY "./n10b100i100.sh ER"
$QARRAY "./n10b100i100.sh Golgi"
$QARRAY "./n10b100i100.sh Intra"
$QARRAY "./n10b100i100.sh Lyso"
$QARRAY "./n10b100i100.sh Mito"
$QARRAY "./n10b100i100.sh Nuclear"
$QARRAY "./n10b100i100.sh Orga"
$QARRAY "./n10b100i100.sh Pero"
$QARRAY "./n10b100i100.sh PM"
$QARRAY "./n10b100i100.sh SecPw"
$QARRAY "./n10b100i100.sh Secreted"

cd ../../dischmm/10cv/
mkdir hmmg
mkdir hmmd
mkdir motif
mkdir hmmg_tree
mkdir hmmd_tree
mkdir motif_tree
for fold in `seq 0 9`; do
  #submit to a cluster to speed up
  $QARRAY "./n10b100i100b1i200flat.sh $fold"
  $QARRAY "./n10b100i100b1i200root.sh $fold"
  $QARRAY "./n10b100i100b1i200secpw.sh $fold"
  $QARRAY "./n10b100i100b1i200intra.sh $fold"
  $QARRAY "./n10b100i100b1i200orga.sh $fold"
done
cd ../all-train/
mkdir hmmg
mkdir hmmd
mkdir motif
mkdir hmmg_tree
mkdir hmmd_tree
mkdir motif_tree
#submit to a cluster to speed up
$QARRAY ./n10b100i100b1i200flat.sh
$QARRAY ./n10b100i100b1i200root.sh
$QARRAY ./n10b100i100b1i200secpw.sh
$QARRAY ./n10b100i100b1i200intra.sh
$QARRAY ./n10b100i100b1i200orga.sh

cd ../../meme/10cv/
mkdir motif
for fold in `seq 0 9`; do
  $QARRAY "./n10w4oops.sh $fold Cyto"
  $QARRAY "./n10w4oops.sh $fold ER"
  $QARRAY "./n10w4oops.sh $fold Golgi"
  $QARRAY "./n10w4oops.sh $fold Intra"
  $QARRAY "./n10w4oops.sh $fold Lyso"
  $QARRAY "./n10w4oops.sh $fold Mito"
  $QARRAY "./n10w4oops.sh $fold Nuclear"
  $QARRAY "./n10w4oops.sh $fold Orga"
  $QARRAY "./n10w4oops.sh $fold Pero"
  $QARRAY "./n10w4oops.sh $fold PM"
  $QARRAY "./n10w4oops.sh $fold SecPw"
  $QARRAY "./n10w4oops.sh $fold Secreted"
done
cd ../all-train/
mkdir motif
$QARRAY "./n10w4oops.sh Cyto"
$QARRAY "./n10w4oops.sh ER"
$QARRAY "./n10w4oops.sh Golgi"
$QARRAY "./n10w4oops.sh Intra"
$QARRAY "./n10w4oops.sh Lyso"
$QARRAY "./n10w4oops.sh Mito"
$QARRAY "./n10w4oops.sh Nuclear"
$QARRAY "./n10w4oops.sh Orga"
$QARRAY "./n10w4oops.sh Pero"
$QARRAY "./n10w4oops.sh PM"
$QARRAY "./n10w4oops.sh SecPw"
$QARRAY "./n10w4oops.sh Secreted"
