#!/bin/bash
cd genhmm/10cv/
mkdir hmmg
mkdir motif
for fold in `seq 0 9`; do
  ./n10b100i100.sh $fold Cyto
  ./n10b100i100.sh $fold ER
  ./n10b100i100.sh $fold Golgi
  ./n10b100i100.sh $fold Intra
  ./n10b100i100.sh $fold Lyso
  ./n10b100i100.sh $fold Mito
  ./n10b100i100.sh $fold Nuclear
  ./n10b100i100.sh $fold Orga
  ./n10b100i100.sh $fold Pero
  ./n10b100i100.sh $fold PM
  ./n10b100i100.sh $fold SecPw
  ./n10b100i100.sh $fold Secreted
done
cd ../all-train/
mkdir hmmg
mkdir motif
./n10b100i100.sh Cyto
./n10b100i100.sh ER
./n10b100i100.sh Golgi
./n10b100i100.sh Intra
./n10b100i100.sh Lyso
./n10b100i100.sh Mito
./n10b100i100.sh Nuclear
./n10b100i100.sh Orga
./n10b100i100.sh Pero
./n10b100i100.sh PM
./n10b100i100.sh SecPw
./n10b100i100.sh Secreted

cd ../../dischmm/10cv/
mkdir hmmg
mkdir hmmd
mkdir motif
mkdir hmmg_tree
mkdir hmmd_tree
mkdir motif_tree
for fold in `seq 0 9`; do
  ./n10b100i100b1i200flat.sh $fold
  ./n10b100i100b1i200root.sh $fold
  ./n10b100i100b1i200secpw.sh $fold
  ./n10b100i100b1i200intra.sh $fold
  ./n10b100i100b1i200orga.sh $fold
done
cd ../all-train/
mkdir hmmg
mkdir hmmd
mkdir motif
mkdir hmmg_tree
mkdir hmmd_tree
mkdir motif_tree
./n10b100i100b1i200flat.sh
./n10b100i100b1i200root.sh
./n10b100i100b1i200secpw.sh
./n10b100i100b1i200intra.sh
./n10b100i100b1i200orga.sh

cd ../../meme/10cv/
mkdir motif
for fold in `seq 0 9`; do
  ./n10w4oops.sh $fold Cyto
  ./n10w4oops.sh $fold ER
  ./n10w4oops.sh $fold Golgi
  ./n10w4oops.sh $fold Intra
  ./n10w4oops.sh $fold Lyso
  ./n10w4oops.sh $fold Mito
  ./n10w4oops.sh $fold Nuclear
  ./n10w4oops.sh $fold Orga
  ./n10w4oops.sh $fold Pero
  ./n10w4oops.sh $fold PM
  ./n10w4oops.sh $fold SecPw
  ./n10w4oops.sh $fold Secreted
done
cd ../all-train/
mkdir motif
./n10w4oops.sh Cyto
./n10w4oops.sh ER
./n10w4oops.sh Golgi
./n10w4oops.sh Intra
./n10w4oops.sh Lyso
./n10w4oops.sh Mito
./n10w4oops.sh Nuclear
./n10w4oops.sh Orga
./n10w4oops.sh Pero
./n10w4oops.sh PM
./n10w4oops.sh SecPw
./n10w4oops.sh Secreted
