#MEME to features
mkdir features
python ../../../python/meme2featflat1.py features/Yeast.dat motif/%s.meme ../../../data/hallett2005/%s.fa

#features to accuracy by SVM
mkdir acc_flat_c.01
python ../../../python/feat2acc_train.py features/Yeast.dat acc_flat_c.01/Yeast_mc.dat acc_flat_c.01/%s.svm ../../../data/hallett2005/%s.fa "-c .01"
python ../../../python/feat2acc_test.py acc_flat_c.01/Yeast.result features/Yeast.dat acc_flat_c.01/Yeast.pred acc_flat_c.01/%s.svm ../../../data/hallett2005/%s.fa "-c .01"

#MEME to sorted sites and recover known motifs
mkdir memesort
python ../../../python/memesort2hit.py memesort/ipr.hit motif/%s.meme ../../../data/hallett2005.known/%s.iprpos ../../../data/hallett2005/%s.fa
python ../../../python/memesort2hit.py memesort/mini.hit motif/%s.meme ../../../data/hallett2005.known/%s.motpos ../../../data/hallett2005/%s.fa

#features to rank by SVM
mkdir rank_flat_c.01/
python ../../../python/featflat2rank.py features/Yeast.dat ../../../data/hallett2005/%s.fa rank_flat_c.01/Yeast "-c .01"

#sorted sites to conservation
python ../../../python/rank2mesortsites.py 30 rank_flat_c.01/Yeast.mesort30sites rank_flat_c.01/Yeast.result motif/%s.meme ../../../data/hallett2005/%s.fa
python ../../../python/sgda_ident.py -s rank_flat_c.01/Yeast.mesort30sites ../../../data/sgd_align/aln/%s.aln rank_flat_c.01/Yeast30sites.strong
