import re, os, glob

USAGE = '''Usage: resulttxt.py <result-path> ...
Ex. python resulttxt.py ../result/S_T'''

if len(sys.argv) <= 1: print USAGE; sys.exit(1)
path = sys.argv[1]
for filename in glob(path + '*.hmm'):
    matchObj = re.search(r'\W(\w+)\.hmm$', filename, re.IGNORECASE)
    name = matchObj.group(1)
    os.system('../hmmer-1.8.5/hmm_convert %s %s.txt' % (filename, filename))
    os.system('../hmmer-1.8.5/hmma -o %s.selex %s ../data/yeast_seq_%s.fa' \
              % (filename, filename, name[0]))

